Package groovy.lang

# Class NonEmptySequence

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList
groovy.lang.Sequence
groovy.lang.NonEmptySequence

All Implemented Interfaces:
  `GroovyObject`, `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Iterable`, `java.util.Collection`, `java.util.List`, `java.util.RandomAccess`

    public class NonEmptySequence
    extends Sequence

Represents a sequence of one or more objects of a given type. The type can be omitted in which case any type of object can be added.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NonEmptySequence()` |
  `NonEmptySequence​(java.lang.Class type)` |
  `NonEmptySequence​(java.lang.Class type, java.util.List content)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `minimumSize()` |

  ### Methods inherited from class groovy.lang.Sequence

  `add, add, addAll, addAll, checkCollectionType, checkType, clear, equals, equals, getMetaClass, getProperty, hashCode, invokeMethod, remove, removeRange, set, set, setMetaClass, setProperty, type`

  ### Methods inherited from class java.util.ArrayList

  `clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, removeAll, removeIf, replaceAll, retainAll, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll`

- ## Constructor Details

  - ### NonEmptySequence

    public NonEmptySequence()

  - ### NonEmptySequence

    public NonEmptySequence​(java.lang.Class type)

  - ### NonEmptySequence

    public NonEmptySequence​(java.lang.Class type, java.util.List content)

- ## Method Details

  - ### minimumSize

    public int minimumSize()
    Overrides:
      `minimumSize` in class `Sequence`